### Hierarchy

- AtomStyleSheet
  - AtomTheme

### Implements

- IAtomStyle
- INotifyPropertyChanging
- INotifyPropertyChanging
- IDisposable

### Indexable

[key: string]: any

## Index

### Constructors

- constructor

### Properties

- activeColor
- app
- bgColor
- color
- hoverColor
- name
- padding
- parent
- popup
- selectedBgColor
- selectedColor
- styleElement
- styleSheet
- window

### Methods

- attach
- build
- createNamedStyle
- createStyle
- dispose
- getBaseProperty
- getDefaultStyle
- init
- onPropertyChanging
- pushUpdate
- registerExternalStyleSheet
- toFullName
- toStyle

## Constructors

### constructor

- new AtomTheme(app: App, navigationService: NavigationService): AtomTheme

- Overrides AtomStyleSheet.constructor

  - Defined in web/styles/AtomTheme.ts:47

  #### Parameters

  - ##### app: App

  - ##### navigationService: NavigationService

  #### Returns AtomTheme

## Properties

### activeColor

activeColor: ColorItem = Colors.lightBlue

- Defined in web/styles/AtomTheme.ts:34

### app

app: App

Inherited from AtomStyleSheet.app

- Defined in web/styles/AtomStyleSheet.ts:14

### bgColor

bgColor: ColorItem = Colors.white

- Defined in web/styles/AtomTheme.ts:25

### color

color: ColorItem = Colors.gray

- Defined in web/styles/AtomTheme.ts:28

### hoverColor

hoverColor: ColorItem = Colors.lightGray

- Defined in web/styles/AtomTheme.ts:31

### name

name: string

Implementation of IAtomStyle.name

Inherited from AtomStyle.name

- Defined in web/styles/AtomStyle.ts:34

### padding

padding: number = 5

- Defined in web/styles/AtomTheme.ts:43

### parent

parent: AtomStyle

Inherited from AtomStyle.parent

- Defined in web/styles/AtomStyle.ts:33

### popup

popup: AtomPopupStyle = this.createNamedStyle(AtomPopupStyle, "popup")

- Defined in web/styles/AtomTheme.ts:47

### selectedBgColor

selectedBgColor: ColorItem = Colors.blue

- Defined in web/styles/AtomTheme.ts:37

### selectedColor

selectedColor: ColorItem = Colors.white

- Defined in web/styles/AtomTheme.ts:40

### styleElement

styleElement: HTMLElement

Inherited from AtomStyleSheet.styleElement

- Defined in web/styles/AtomStyleSheet.ts:7

### styleSheet

styleSheet: AtomStyleSheet

Inherited from AtomStyle.styleSheet

- Defined in web/styles/AtomStyle.ts:32

### window

window: AtomWindowStyle = this.createStyle(AtomWindow, AtomWindowStyle, "window")

- Defined in web/styles/AtomTheme.ts:45

## Methods

### attach

- attach(): void

- Inherited from AtomStyleSheet.attach

  - Defined in web/styles/AtomStyleSheet.ts:42

  #### Returns void

### Protected build

- build(): void

- Inherited from AtomStyleSheet.build

  Overrides AtomStyle.build

  - Defined in web/styles/AtomStyleSheet.ts:64

  #### Returns void

### createNamedStyle

- createNamedStyle<T>(c: IClassOf<T>, name: string): T

- Inherited from AtomStyle.createNamedStyle

  - Defined in web/styles/AtomStyle.ts:43

  #### Type parameters

  - #### T: AtomStyle

  #### Parameters

  - ##### c: IClassOf<T>

  - ##### name: string

  #### Returns T

### createStyle

- createStyle<TC, T>(tc: IClassOf<TC>, c: IClassOf<T>, name: string): T

- Inherited from AtomStyle.createStyle

  - Defined in web/styles/AtomStyle.ts:49

  #### Type parameters

  - #### TC: AtomControl

  - #### T: AtomStyle

  #### Parameters

  - ##### tc: IClassOf<TC>

  - ##### c: IClassOf<T>

  - ##### name: string

  #### Returns T

### dispose

- dispose(): void

- Implementation of IDisposable.dispose

  Inherited from AtomStyleSheet.dispose

  - Defined in web/styles/AtomStyleSheet.ts:36

  #### Returns void

### getBaseProperty

- getBaseProperty<T>(tc: IClassOf<T>, name: string): any

- Inherited from AtomStyle.getBaseProperty

  - Defined in web/styles/AtomStyle.ts:60

  #### Type parameters

  - #### T

  #### Parameters

  - ##### tc: IClassOf<T>

  - ##### name: string

  #### Returns any

### getDefaultStyle

- getDefaultStyle(forKey: any): AtomStyle

- Inherited from AtomStyle.getDefaultStyle

  - Defined in web/styles/AtomStyle.ts:39

  #### Parameters

  - ##### forKey: any

  #### Returns AtomStyle

### Protected init

- init(): void

- Inherited from AtomStyle.init

  - Defined in web/styles/AtomStyle.ts:154

  #### Returns void

### onPropertyChanging

- onPropertyChanging(name: string, newValue: any, oldValue: any): void

- Implementation of INotifyPropertyChanging.onPropertyChanging

  Inherited from AtomStyleSheet.onPropertyChanging

  - Defined in web/styles/AtomStyleSheet.ts:20

  #### Parameters

  - ##### name: string

  - ##### newValue: any

  - ##### oldValue: any

  #### Returns void

### pushUpdate

- pushUpdate(delay?: number): void

- Inherited from AtomStyleSheet.pushUpdate

  - Defined in web/styles/AtomStyleSheet.ts:24

  #### Parameters

  - ##### Default value delay: number = 1

  #### Returns void

### Protected registerExternalStyleSheet

- registerExternalStyleSheet(s: object): void

- Inherited from AtomStyle.registerExternalStyleSheet

  - Defined in web/styles/AtomStyle.ts:158

  #### Parameters

  - ##### s: object

  #### Returns void

### Protected toFullName

- toFullName(n: string): string

- Inherited from AtomStyle.toFullName

  - Defined in web/styles/AtomStyle.ts:107

  #### Parameters

  - ##### n: string

  #### Returns string

### toStyle

- toStyle(pairs?: INameValuePairs): INameValuePairs

- Inherited from AtomStyle.toStyle

  - Defined in web/styles/AtomStyle.ts:75

  #### Parameters

  - ##### Optional pairs: INameValuePairs

  #### Returns INameValuePairs

Generated using TypeDoc